Returns whether current entry is a directory and not '.' or '..'

- « RecursiveDirectoryIterator::getSubPathname

- RecursiveDirectoryIterator::key »

- PHP Manual
- RecursiveDirectoryIterator
- Returns whether current entry is a directory and not '.' or '..'

# RecursiveDirectoryIterator::hasChildren

(PHP 5, PHP 7, PHP 8)

RecursiveDirectoryIterator::hasChildren — Returns whether current entry is a directory and not '.' or '..'

### Description

public RecursiveDirectoryIterator::hasChildren(bool `$allowLinks` = `false`): bool
Warning

This function is currently not documented; only its argument list is available.

### Parameters

`allowLinks`

### Return Values

Returns whether the current entry is a directory, but not '.' or '..'